:root {
  --border: 1px solid #333;
  --font-light: rgba(255, 255, 255, 0.5);
  --whitey: #d6d6d6;
}

/* Reset HTML */
*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

a {
  text-decoration: none;
  color: var(--font-light);
}

a:hover {
  color: var(--whitey);
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

#root,
#__next {
  isolation: isolate;
}

/* My styles */
body {
  font-family: "Courier New", Courier, monospace;
  color: white;
  max-width: 800px;
  margin: 0 auto;
  background: black;
  position: relative;
  overflow-x: hidden;

  @media (max-width: 768px) {
    width: 100%;
  }
}

/* bg */
body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("/assets/bg-2.png");
  background-position: top;
  background-repeat: repeat;
  /* transform: scaleY(-1); */
  opacity: 0.5;
  z-index: -2;
}

/* gradiente */
body::after {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 200px;
  background: linear-gradient(to bottom, black, transparent);
  z-index: -1;
}

/* General */
.flex-col {
  display: flex;
  flex-direction: column;
}

.flex-row {
  display: flex;
}

/* BASE */
main {
  min-height: 70vh;
  padding-bottom: 60px;
}
main {
  max-width: 1200px;
  width: 90%;
  margin: 0 auto;
}

.header-container {
  padding: 0;
  background-color: black;

  @media (max-width: 768px) {
    padding: 5px 10px;
  }
}

nav ul {
  list-style: none;
  gap: 1rem;
  font-family: monospace;
  font-size: 14px;

  justify-content: center;
  color: var(--font-light);
  border-bottom: var(--border);
  padding: 0;

  @media (max-width: 768px) {
    flex-wrap: wrap;
    row-gap: 0;
  }

  .nav-border {
    color: #333;
  }

  a {
    color: var(--font-light);
    text-decoration: none;
  }

  a:hover {
    color: rgba(255, 255, 255, 0.8);
  }
}

footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  margin-top: 0;
  opacity: 0.7;
  justify-content: center;
}

.buttons {
  gap: 10px;
  padding: 10px;
  flex-wrap: wrap;
  max-width: 800px;
}

.buttons img {
  transition: transform 0.1s ease-in-out;
}

.buttons img:hover {
  transform: scale(1.1);
}

/* PAGE */
.banner {
  justify-content: center;
  display: flex;
  flex-direction: column;
  padding: 25px 0;
  gap: 20px;

  @media (max-width: 700px) {
    padding: 25px;
  }

  h1 {
    text-align: center;
    color: var(--whitey);

    @media (max-width: 700px) {
      font-size: 18px;
    }
  }
}

.board_image {
  display: block;
  border: var(--border);
  margin: auto;
  width: 384px;
  height: 128px;

  @media (max-width: 400px) {
    width: 80vw;
    aspect-ratio: 3 / 1;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
  }
}

.todo-page {
  margin: auto;
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  justify-content: center;
  align-items: center;
}

.page-layout {
  /* background-color: #0b0b0b; */
  border: var(--border);
  min-height: 50vh;
  padding: 20px;
}

.home {
  margin-top: 2rem;

  @media (max-width: 768px) {
    margin-top: 0;
  }
}

.home-header {
  position: relative;
  background-color: transparent;
  height: 120px;
  width: 100%;
  margin: auto;
  text-align: center;
  border-radius: 2px;
  margin-bottom: 2rem;

  h1 {
    font-size: 60px;
    letter-spacing: 10px;
    font-family: "Courier New", Courier, monospace;
    color: var(--font-light);
    margin: auto;
  }
}

.logo {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
}

.logo:hover {
  animation: spin 1s linear infinite;
}

@keyframes spin {
  from {
    transform: translateX(-50%) rotate(0deg);
  }
  to {
    transform: translateX(-50%) rotate(360deg);
  }
}

.expand-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.home-img {
  width: 300px;
  height: 300px;
  border-radius: 2px;
  border: var(--border);

  @media (max-width: 500px) {
    width: 250px;
    height: 250px;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
  }
}

.stamps {
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;

  @media (max-width: 500px) {
    padding: 0 10px;
  }
}

.home-content {
  justify-content: space-between;

  .left {
    width: 400px;

    @media (max-width: 500px) {
      width: 100%;
      align-items: center;
    }
  }

  .right {
    width: 300px;

    @media (max-width: 500px) {
      width: 100%;
      align-items: center;
    }
  }

  @media (max-width: 700px) {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
  }
}

.home-box {
  padding: 1rem;
  border: var(--border);
  border-radius: 2px;
  font: var(--font-light);
}

.manifesto {
  width: 400px;
  height: 300px;
  overflow-y: auto;
  gap: 1rem;

  h3 {
    color: var(--font-light);
  }

  p {
    visibility: hidden;
  }

  @media (max-width: 700px) {
    width: 250px;
    height: 200px;
  }
}

.edwarda {
  width: 100%;
  height: fit-content;
  overflow-y: auto;
  gap: 1rem;

  h3 {
    color: var(--font-light);
  }

  p {
    visibility: hidden;
  }

  @media (max-width: 700px) {
    width: 250px;
    height: 200px;
  }
}

.board-desc {
  h3 {
    color: var(--font-light);
    font-style: italic;
  }
  padding-bottom: 2rem;
}

.img-container {
  justify-content: center;
  align-items: center;

  img {
    width: 500px;

    @media (max-width: 600px) {
      width: 250px;
    }
  }
}

.music-content {
  gap: 2rem;
  padding: 2rem 0;
  border-top: var(--border);

  h3 {
    color: var(--font-light);
    font-style: italic;
  }

  @media (max-width: 768px) {
    iframe {
      width: 250px;
    }

    justify-content: center !important;
    align-items: center !important;
  }

  .music-list {
    gap: 2rem;
    flex-wrap: wrap;
    padding: 2rem;

    ul {
      padding: 0;
      list-style-type: circle;
      width: 30%;

      @media (max-width: 768px) {
        width: 200px;
      }
    }
  }
}

.catalog-title {
  border-top: var(--border);
  padding-top: 2rem;
  padding-bottom: 1rem;
  text-align: center;
  color: var(--font-light);
}

.catalog {
  flex-wrap: wrap;
  justify-content: center;
  gap: 5px;

  a {
    text-decoration: none !important;
  }
}

.catalog-item {
  width: 150px;
  height: 200px;
  padding: 10px;
  background-color: #020202;
  border: var(--border);

  img {
    width: 180px;
    margin-bottom: 10px;
  }

  p {
    font-size: 14px;
    color: var(--font-light);
    text-align: center;
  }

  p {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }
}

.animu-main {
  padding: 1rem 0;
  border-top: var(--border);
  border-bottom: var(--border);

  @media (max-width: 768px) {
    flex-wrap: wrap;
    row-gap: 0;
  }
}

.animu-tier {
  padding: 2rem 0;

  a {
    color: var(--whitey);
  }

  a:hover {
    text-decoration: underline;
  }

  h3 {
    font-style: italic;
    color: var(--font-light);
  }

  @media (max-width: 768px) {
    iframe,
    img {
      width: 250px !important;
    }
  }
}

.animu-img {
  width: 300px;
  height: 200px;
}

.animu-tier-list {
  max-width: 30%;

  @media (max-width: 768px) {
    max-width: 100%;
  }
}

.animu-tier-list-container {
  li {
    word-wrap: break-word;
    overflow-wrap: break-word;
  }
}

.light {
  color: var(--font-light);
}

.favs-gallery {
  gap: 20px;
  flex-wrap: wrap;
  justify-content: space-between;
}

.gallery-item {
  width: 200px;
  border: var(--border);
  border-radius: 2px;
  overflow: hidden;

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
  }
}

.blog-entry {
  gap: 10px;
  background-color: #0b0b0b;
  border: var(--border);
  padding: 20px;
}

.blog-entry .blog-header {
  color: var(--font-light);
  font-size: 18px;
  justify-content: space-between;
}

.date {
  font-size: 12px;
  color: var(--font-light);
  font-family: "Courier New", Courier, monospace;
}

/* Estilo básico */
.french-quote {
  quotes: "«" "»" "‹" "›";
  font-style: italic;
  /* color: #800000; */
  font-size: 1em;
}

.french-quote::before {
  content: "«";
  font-size: 1em;
  font-weight: bold;
}

.french-quote::after {
  content: "»";
  font-size: 1em;
  font-weight: bold;
}

.hidden {
  word-break: break-word;
  white-space: normal;
  overflow-wrap: break-word;
  max-width: 100%;
  text-align: center;
}

.game-card {
  padding: 10px;
  height: fit-content;
  /* width: 100%; */
  align-items: center;
}

.gap-20 {
  gap: 20px;
}

.game-card .hidden-content {
  max-width: 200px;
  gap: 5px;
  display: none;
  transition: all 0.5s;
}

.game-card img {
  cursor: pointer;
  transition: all 0.5s;
}

.game-card img:hover {
  transform: scale(1.05) rotate(5deg);
}

.touhou img:hover {
  transform: scale(1.2) rotate(-30deg);
}

.dark img:hover {
  transform: scale(1.05) rotate(0deg);
}

.monkey img:hover {
  transform: scale(0.2) rotate(-5deg);
}

.show {
  display: flex !important;
}

.game-cards-container {
  flex-wrap: wrap;
  margin-top: 1rem;
  padding: 0 1rem;
}

/* .game-card {
  border: 1px solid red;
} */

.hylics,
.dark {
  margin-left: auto;
}

.vibra-rotate:hover {
  animation: vibrarRotar 0.15s infinite;
}

@keyframes vibrarRotar {
  0% {
    transform: translate(0, 0) rotate(0deg);
  }
  25% {
    transform: translate(-2px, 1px) rotate(-1deg);
  }
  50% {
    transform: translate(2px, -1px) rotate(1deg);
  }
  75% {
    transform: translate(-1px, 2px) rotate(-0.5deg);
  }
  100% {
    transform: translate(0, 0) rotate(0deg);
  }
}

.tier-1-mobile {
  display: none;
}

@media (max-width: 768px) {
  .monkey img,
  .dark img {
    width: 100px !important;
    max-width: 100% !important;
    height: auto !important;
  }

  .hylics img,
  .touhou img {
    width: 150px !important;
    max-width: 100% !important;
    height: auto !important;
  }

  .hylics {
    flex-direction: column-reverse;
    gap: 20px;
  }

  .game-cards-container {
    padding: 0;
  }

  .tier-1-desktop {
    display: none;
  }

  .tier-1-mobile {
    display: block;
    margin-bottom: 2rem;
  }
}
